%\documentclass[10pt]{beamer}
\documentclass[aspectratio=169]{beamer}
\usetheme[
%%% option passed to the outer theme
%    progressstyle=fixedCircCnt,   % fixedCircCnt, movingCircCnt (moving is deault)
  ]{Feather}

% If you want to change the colors of the various elements in the theme, edit and uncomment the following lines

% Change the bar colors:
%\setbeamercolor{Feather}{fg=red!20,bg=red}

% Change the color of the structural elements:
%\setbeamercolor{structure}{fg=red}

% Change the frame title text color:
%\setbeamercolor{frametitle}{fg=blue}

% Change the normal text color background:
%\setbeamercolor{normal text}{fg=black,bg=gray!10}

%-------------------------------------------------------
% INCLUDE PACKAGES
%-------------------------------------------------------

\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage[T1]{fontenc}
\usepackage{helvet}
\usepackage{multirow}
\usepackage{xcolor}
\usepackage[export]{adjustbox}
\definecolor{purple}{HTML}{A91A91}
\definecolor{grey}{HTML}{333333}
\usepackage{pdfpcnotes}
\usepackage{hyperref}          % clickable URls and cross-references
\hypersetup{
    pdfborderstyle={/S/U/W 1}, % underline links instead of boxes
    colorlinks=true,
    urlcolor=teal,
    linkbordercolor=red,       % color of internal links
    citebordercolor=green,     % color of links to bibliography
    filebordercolor=magenta,   % color of file links
    urlbordercolor=blue        % color of external links
}

%-------------------------------------------------------
% DEFFINING AND REDEFINING COMMANDS
%-------------------------------------------------------

% colored hyperlinks
\newcommand{\chref}[2]{
    \href{#1}{\color{blue}}
}
%-------------------------------------------------------
% INFORMATION IN THE TITLE PAGE
%-------------------------------------------------------

\title[] % [] is optional - is placed on the bottom of the sidebar on every slide
{ % is placed on the title page
      \textbf{Advices to new fediverse administrators and developers}
}

%\subtitle[Lets decentralize YouTube]
%{
%        \textbf{Lets decentralize YouTube}
%      \textbf{v. 1.0.0}
%}

\author[Luc Didry]
{      Luc Didry
}

\institute[]
{
      Framasoft

  %there must be an empty line above this line - otherwise some unwanted space is added between the university and the country (I do not know why;( )
}

\date{September 7 2019}

\titlegraphic{\includegraphics[width=2cm,keepaspectratio]{img/AP_logo}}

%-------------------------------------------------------
% THE BODY OF THE PRESENTATION
%-------------------------------------------------------

\begin{document}

%-------------------------------------------------------
% THE TITLEPAGE
%-------------------------------------------------------

{\1% % this is the name of the PDF file for the background
\begin{frame}[plain,noframenumbering] % the plain option removes the header from the title page, noframenumbering removes the numbering of this frame only
  \titlepage % call the title page information from above
\end{frame}}


%%\begin{frame}{Table of contents}{}
%%\tableofcontents
%%\end{frame}

%-------------------------------------------------------
\section{Introduction}
%-------------------------------------------------------
\subsection{Hosting an ActivityPub service is not like hosting another service}
\begin{frame}{Introduction}{Hosting an ActivityPub service is not like hosting another service}
    {\Large Hosting an ActivityPub service is not like hosting another service}

    \onslide<2-> {\Large and the same goes for developing ActivityPub software.}
\end{frame}

\begin{frame}{Introduction}{What’s Framasoft?}
    {\Large Let me introduce Framasoft.}

    \onslide<2-> Framasoft is a not-for-profit digital emancipation network.
    \begin{itemize}
        \item<3-> Promotion, dissemination and development of free software
        \item<4-> 35 members in the organization, including 9 employees
        \item<5-> Only financed by donations (mainly from individuals)
        \item<6-> We currently host more than 30 freely available web services (including a Mastodon instance)
        \item<7-> We publish two ActivityPub softwares:
        \begin{itemize}
            \item<7-> PeerTube, a YouTube alternative
            \item<7-> Mobilizon, a Facebook events/Meetup alternative (not released yet)
        \end{itemize}
    \end{itemize}

\end{frame}

\begin{frame}{Introduction}{Who am I?}
    {\Large Let me introduce myself.}

    \onslide<2-> Luc Didry, aka Framasky or Sky
    \begin{itemize}
        \item<3-> SysAdmin at Framasoft
        \item<4-> Perl developer
        \item<5-> ActivityPub enthusiast
        \item<6-> \emph{Not} involved in PeerTube or Mobilizon development
    \end{itemize}
\end{frame}

%-------------------------------------------------------
\section{Our advices for instance administrators}
%-------------------------------------------------------

\subsection{Moderation}
\begin{frame}{Our advices for instance administrators}{Moderation}
    {\Large You have an open instance? Moderate!}

    With great power comes great responsability.

    \onslide<2-> Well, even if it’s a closed instance, but in that case, it’s easier, unless it’s a huge one.
\end{frame}

\begin{frame}{Our advices for instance administrators}{Moderation}
    {\Large 1. Create a moderation team.}

    \onslide<2-> There is no need to be tech-savvy to moderate, so you can ask non-tech people to help you.

    \onslide<3-> It’s almost vital to have more than one moderator
    \begin{itemize}
        \item<4-> Think about the bus factor
        \item<5-> People take vacations
        \item<6-> Avoid burnout
        \item<7-> If in doubt about a report, you can ask the other moderators for their opinion
    \end{itemize}
\end{frame}

\begin{frame}{Our advices for instance administrators}{Moderation}
    {\Large 2. Create a code of conduct.}

    \begin{itemize}
        \item<2-> Your users will know what is considered as bad behavior
        \item<3-> You will have a document to refer to if people disagree with your moderation’s policy (it won’t cover every case, but will still be useful)
        \item<4-> Moderators’ work will also be eased by being able to refer to it for judging reports
    \end{itemize}
\end{frame}

\begin{frame}{Our advices for instance administrators}{Moderation}
    {\Large 3. Important points to note}

    \begin{itemize}
        \item<2-> Spam/harassment is easier with the federation if other servers are trusted by default like on Mastodon
        \item<3-> People may not read an entire thread before reacting (the thread may even not be finished)
        \item<4-> Interactions may be done with different softwares, thus not with the same limitations
    \end{itemize}

    \pnote{
        Blacklist versus whitelist methods
        It can be hard to react intelligently when you only have 500 chars on Mastodon to speak while the other person use Plume and can write as long as they want.
    }
\end{frame}

\begin{frame}{Our advices for instance administrators}{SysAdmin}
    {\Large 1. Know your limits}

    \begin{itemize}
        \item<2-> Don’t open registration if you don’t know if you want and can maintain the service for a long time
        \item<3-> Or display a big warning on the registration page
        \item<4-> If you open registrations, make the level of service explicit when people register
    \end{itemize}

    \pnote{
        avoid frustating users if you say "sorry, I’ll stop the service" a few months after the opening
    }
\end{frame}

\begin{frame}{Our advices for instance administrators}{SysAdmin}
    {\Large 2. Do your job seriously}

    \begin{itemize}
        \item<2-> Backup your data on a distant server
        \item<3-> Test your backups
        \item<4-> Supervize your service
        \item<5-> Supervize your backups
        \item<6-> Supervize the expiration date of your certificates
    \end{itemize}

\end{frame}

\begin{frame}{Our advices for instance administrators}{Misc}
    {\Large 3. Misc}

    \begin{itemize}
        \item<2-> Having a description of your instance will help people know if it suits their needs
        \item<3-> Don’t have money? Politely ask your users if they can help :-) (Liberapay is a good platform for that)
    \end{itemize}

    \pnote{
        Kitten photos oriented, ecology…
    }
\end{frame}

%-------------------------------------------------------
\section{Our advices for developers}
%-------------------------------------------------------

\subsection{Moderation}
\begin{frame}{Our advices for developers}{Moderation}
    {\Large 1. Moderation}

    \onslide<2-> (yes, again)

    \begin{itemize}
        \item<3-> Look at the moderation tools implemented by other federated softwares
        \item<4-> Ask your community for what they want to see implemented
        \item<5-> Implement moderation feedback, to let people know what action has been taken for their reports
    \end{itemize}

    \pnote{
        Look at the good ideas… and at the bad ideas too! (to avoid them)
        Remember that you don't need to agree to all suggestions though
        Will be in Mobilizon, Mastodon has an issue for that, opened since two years (issue one thousand six hundred eighty five)
    }
\end{frame}

\begin{frame}{Our advices for developers}{A secret life is a happy life}
    {\Large 2. A secret life is a happy life}

    \begin{itemize}
        \item<2-> Avoid to communicate about your software with your own account on social media: create an account @your-software instead of using @you
        \item<3-> ActivityPub is a protocol for making social media (and more, but still): this is where conflicts may be fast and furious, even more when users use the very software that you develop
    \end{itemize}

    \pnote{
        It avoids to be the target of dissatisfied users if there is a shitstorm. Preserve yourself.
    }
\end{frame}

\begin{frame}{Our advices for developers}{Misc}
    {\Large 3. Misc}

    \begin{itemize}
        \item<2-> Design your settings and their default value with care, as it will impact the experience for everyone
        \item<3-> Find a way (banner, emails…) for admins to easily announce something to all of their users
    \end{itemize}
\end{frame}
%-------------------------------------------------------
\section{Conclusion}
%-------------------------------------------------------

\begin{frame}{Conclusion}{Questions}
    \center{\Large Questions?}

    \center\includegraphics[height=0.7\textheight,keepaspectratio]{img/chaton.jpg}
\end{frame}

\begin{frame}{Conclusion}{Links}
    \begin{itemize}
        \item \url{https://framasoft.org}
        \item \url{https://en.wikipedia.org/wiki/Framasoft}
        \item \url{https://degooglisons-internet.org}
        \item \url{https://contributopia.org}
        \item \url{https://joinpeertube.org}
        \item \url{https://joinmobilizon.org}
        \item \url{https://liberapay.com/}
        \item Get those slides on \url{https://frama.link/ap-conf-2019}
    \end{itemize}
\end{frame}

\begin{frame}{Conclusion}{Credits}
    \begin{itemize}
        \item dessins Contributopia CC-BY \href{http://www.davidrevoy.com/}{David Revoy}
        \item Kitten photo CC-BY-SA \href{https://en.wikipedia.org/wiki/File:Cute_grey_kitten.jpg}{Nicolas Suzor}
    \end{itemize}
\end{frame}

%{\3
%\begin{frame}[plain,noframenumbering]
%    \finalpage{
%    }
%\end{frame}}

\end{document}
